//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class user_profile
    {
        public string UserId { get; set; }
        public string profile_firstName { get; set; }
        public string profile_lastName { get; set; }
        public string profile_website { get; set; }
        public string profile_bio { get; set; }
        public string profile_activities { get; set; }
        public int country_id { get; set; }
        public Nullable<int> city_id { get; set; }
        public Nullable<int> region_id { get; set; }
        public Nullable<int> profile_id { get; set; }
        public string profile_image { get; set; }
        public Nullable<int> role_id { get; set; }
        public System.DateTime profile_dateIns { get; set; }
        public Nullable<System.DateTime> profile_dateMod { get; set; }
    
        public virtual aspnetusers aspnetusers { get; set; }
        public virtual geo_city geo_city { get; set; }
        public virtual geo_country geo_country { get; set; }
        public virtual geo_region geo_region { get; set; }
        public virtual user_role user_role { get; set; }
    }
}
